Subject: Re: [PATCH] powerpc: add of_find_next_property and of_get_aliased_index

From: Timur Tabi <[email-masked]>
Date: Thu, 26 Jun 2008 10:12:01 -0500

Segher Boessenkool wrote:

> Well, yes, your suggested code doesn't allow punctuation either; but
> that wasn't my point, it doesn't allow numbers in names.  Why don't
> you just parse a number from the end?

Oh, you mean start at the end and go backwards?  Hmmm, I guess I could do that.

> The only thing a platform should ever use aliases for is if it needs
> to (for whatever purpose) find a specific device, that it cannot
> identify otherwise (via "reg", ...).  And then that platform code
> should look up the device by the alias, not look up the alias by the
> device -- there is no 1-1 mapping from device to alias!

Hmmm, I hadn't through about that.  I guess this patch isn't such a great idea
after all.  I rescind it.

-- 
Timur Tabi
Linux kernel developer at Freescale